Name:          scamp
Version:       2.10.0
Release:       %mkrel 1
Summary:       Astrometric calibration and photometric homogenization
Group:         Sciences/Astronomy
License:       GPLv3

URL:           https://www.astromatic.net/software/%{name}
Source0:       https://github.com/astromatic/scamp/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: blas-devel
BuildRequires: lapack-devel
BuildRequires: fftw-devel
BuildRequires: cdsclient
BuildRequires: pkgconfig(plplot)
BuildRequires: libatlas-devel
BuildRequires: pkgconfig(libcurl)

Requires:      cdsclient
#needs font contain in plplot package (in addition to the lib)
Requires:      plplot

%description
SCAMP reads SExtractor catalogs and computes astrometric and
photometric solutions for any arbitrary sequence of FITS images in a
completely automatic way.

%prep
%setup -q


%build
autoreconf -fi
CFLAGS="%{optflags} -fcommon"
%ifarch %{ix86}
%configure --with-atlas-libdir=%{_libdir}/atlas-base
%else
%configure --with-atlas-libdir=%{_libdir}/atlas
%endif
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/manx/%{name}.x.*
%{_datadir}/%{name}/*.ahead
%{_datadir}/%{name}/*.xsl



%changelog
* Fri Aug 26 2022 eatdirt <eatdirt> 2.10.0-1.mga9
+ Revision: 1880562
- Update to version 2.10.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Jul 04 2020 joequant <joequant> 2.9.2-1.mga8
+ Revision: 1602029
- update to 2.9.2

* Wed Jun 10 2020 joequant <joequant> 2.7.8-1.mga8
+ Revision: 1591628
- update to 2.7.8

* Wed Jun 10 2020 joequant <joequant> 2.6.7-4.mga8
+ Revision: 1591552
- fix atlas build
- update gcc10

* Thu Feb 20 2020 umeabot <umeabot> 2.6.7-3.mga8
+ Revision: 1545440
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 daviddavid <daviddavid> 2.6.7-2.mga8
+ Revision: 1484761
- rebuild for new plplot 5.15.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri May 10 2019 eatdirt <eatdirt> 2.6.7-1.mga7
+ Revision: 1397151
- Upgrade to version 2.6.7

* Thu Mar 14 2019 daviddavid <daviddavid> 2.2.5-9.mga7
+ Revision: 1376189
- rebuild for new plplot

* Sun Sep 23 2018 umeabot <umeabot> 2.2.5-8.mga7
+ Revision: 1300934
- Mageia 7 Mass Rebuild

* Tue Oct 10 2017 eatdirt <eatdirt> 2.2.5-7.mga7
+ Revision: 1170817
- Rebuild for new plplot

* Wed Aug 02 2017 neoclust <neoclust> 2.2.5-6.mga7
+ Revision: 1133888
- Rebuild against new atlas for armv5

* Fri May 26 2017 eatdirt <eatdirt> 2.2.5-5.mga6
+ Revision: 1104945
- Fix missing requires to plplot

* Fri Feb 10 2017 eatdirt <eatdirt> 2.2.5-4.mga6
+ Revision: 1085253
- Rebuild for new plplot

* Sun May 22 2016 tv <tv> 2.2.5-3.mga6
+ Revision: 1017791
- rebuild for new atlas

* Fri Feb 19 2016 umeabot <umeabot> 2.2.5-2.mga6
+ Revision: 970015
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 eatdirt <eatdirt> 2.2.5-1.mga6
+ Revision: 884710
- Upgrade to version 2.2.5

* Fri Feb 13 2015 eatdirt <eatdirt> 2.0.4-1.mga5
+ Revision: 814877
- Upgrade to version 2.0.4

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-3.mga5
+ Revision: 744867
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-2.mga5
+ Revision: 689045
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 eatdirt <eatdirt> 2.0.1-1.mga5
+ Revision: 641981
- Upgrade to version 2.0.1

* Sat Oct 19 2013 umeabot <umeabot> 1.7.0-2.mga4
+ Revision: 530735
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 joequant <joequant> 1.7.0-1.mga4
+ Revision: 459497
- add atlas to buildrequires
- imported package scamp

